VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

PhysicalDeviceConservativeRasterizationPropertiesEXT (float primitiveOverestimationSize_=0, float maxExtraPrimitiveOverestimationSize_=0, float extraPrimitiveOverestimationSizeGranularity_=0, Bool32 primitiveUnderestimation_=0, Bool32 conservativePointAndLineRasterization_=0, Bool32 degenerateTrianglesRasterized_=0, Bool32 degenerateLinesRasterized_=0, Bool32 fullyCoveredFragmentShaderInputVariable_=0, Bool32 conservativeRasterizationPostDepthCoverage_=0)

| PhysicalDeviceConservativeRasterizationPropertiesEXT (VkPhysicalDeviceConservativeRasterizationPropertiesEXT const &rhs)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | operator= (VkPhysicalDeviceConservativeRasterizationPropertiesEXT const &rhs)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setPNext (void *pNext_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setPrimitiveOverestimationSize (float primitiveOverestimationSize_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setMaxExtraPrimitiveOverestimationSize (float maxExtraPrimitiveOverestimationSize_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setExtraPrimitiveOverestimationSizeGranularity (float extraPrimitiveOverestimationSizeGranularity_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setPrimitiveUnderestimation (Bool32 primitiveUnderestimation_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setConservativePointAndLineRasterization (Bool32 conservativePointAndLineRasterization_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setDegenerateTrianglesRasterized (Bool32 degenerateTrianglesRasterized_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setDegenerateLinesRasterized (Bool32 degenerateLinesRasterized_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setFullyCoveredFragmentShaderInputVariable (Bool32 fullyCoveredFragmentShaderInputVariable_)
PhysicalDeviceConservativeRasterizationPropertiesEXT & | setConservativeRasterizationPostDepthCoverage (Bool32 conservativeRasterizationPostDepthCoverage_)
| operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT const & () const
| operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT & ()
bool | operator== (PhysicalDeviceConservativeRasterizationPropertiesEXT const &rhs) const
bool | operator!= (PhysicalDeviceConservativeRasterizationPropertiesEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
float | primitiveOverestimationSize
float | maxExtraPrimitiveOverestimationSize
float | extraPrimitiveOverestimationSizeGranularity
Bool32 | primitiveUnderestimation
Bool32 | conservativePointAndLineRasterization
Bool32 | degenerateTrianglesRasterized
Bool32 | degenerateLinesRasterized
Bool32 | fullyCoveredFragmentShaderInputVariable
Bool32 | conservativeRasterizationPostDepthCoverage

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceConservativeRasterizationPropertiesEXT

## Detailed Description

Definition at line 17576 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceConservativeRasterizationPropertiesEXT() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::PhysicalDeviceConservativeRasterizationPropertiesEXT | ( | float | primitiveOverestimationSize_ = `0`,
|  | float | maxExtraPrimitiveOverestimationSize_ = `0`,
|  | float | extraPrimitiveOverestimationSizeGranularity_ = `0`,
|  | Bool32 | primitiveUnderestimation_ = `0`,
|  | Bool32 | conservativePointAndLineRasterization_ = `0`,
|  | Bool32 | degenerateTrianglesRasterized_ = `0`,
|  | Bool32 | degenerateLinesRasterized_ = `0`,
|  | Bool32 | fullyCoveredFragmentShaderInputVariable_ = `0`,
|  | Bool32 | conservativeRasterizationPostDepthCoverage_ = `0`
| ) |  |

inline

Definition at line 17578 of file vulkan.hpp.

: primitiveOverestimationSize( primitiveOverestimationSize_ )
, maxExtraPrimitiveOverestimationSize( maxExtraPrimitiveOverestimationSize_ )
, extraPrimitiveOverestimationSizeGranularity( extraPrimitiveOverestimationSizeGranularity_ )
, primitiveUnderestimation( primitiveUnderestimation_ )
, conservativePointAndLineRasterization( conservativePointAndLineRasterization_ )
, degenerateTrianglesRasterized( degenerateTrianglesRasterized_ )
, degenerateLinesRasterized( degenerateLinesRasterized_ )
, fullyCoveredFragmentShaderInputVariable( fullyCoveredFragmentShaderInputVariable_ )
, conservativeRasterizationPostDepthCoverage( conservativeRasterizationPostDepthCoverage_ )
{
}

## PhysicalDeviceConservativeRasterizationPropertiesEXT() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::PhysicalDeviceConservativeRasterizationPropertiesEXT | ( | VkPhysicalDeviceConservativeRasterizationPropertiesEXT const & | rhs | ) |

inline

Definition at line 17599 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceConservativeRasterizationPropertiesEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT & | ( |  | ) |

inline

Definition at line 17674 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceConservativeRasterizationPropertiesEXT*>(this);
}

## operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator VkPhysicalDeviceConservativeRasterizationPropertiesEXT const & | ( |  | ) | const

inline

Definition at line 17669 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceConservativeRasterizationPropertiesEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator!= | ( | PhysicalDeviceConservativeRasterizationPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17694 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator= | ( | VkPhysicalDeviceConservativeRasterizationPropertiesEXT const & | rhs | ) |

inline

Definition at line 17604 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceConservativeRasterizationPropertiesEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator== | ( | PhysicalDeviceConservativeRasterizationPropertiesEXT const & | rhs | ) | const

inline

Definition at line 17679 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( primitiveOverestimationSize == rhs.primitiveOverestimationSize )
&& ( maxExtraPrimitiveOverestimationSize == rhs.maxExtraPrimitiveOverestimationSize )
&& ( extraPrimitiveOverestimationSizeGranularity == rhs.extraPrimitiveOverestimationSizeGranularity )
&& ( primitiveUnderestimation == rhs.primitiveUnderestimation )
&& ( conservativePointAndLineRasterization == rhs.conservativePointAndLineRasterization )
&& ( degenerateTrianglesRasterized == rhs.degenerateTrianglesRasterized )
&& ( degenerateLinesRasterized == rhs.degenerateLinesRasterized )
&& ( fullyCoveredFragmentShaderInputVariable == rhs.fullyCoveredFragmentShaderInputVariable )
&& ( conservativeRasterizationPostDepthCoverage == rhs.conservativeRasterizationPostDepthCoverage );
}

References conservativePointAndLineRasterization, conservativeRasterizationPostDepthCoverage, degenerateLinesRasterized, degenerateTrianglesRasterized, extraPrimitiveOverestimationSizeGranularity, fullyCoveredFragmentShaderInputVariable, maxExtraPrimitiveOverestimationSize, pNext, primitiveOverestimationSize, primitiveUnderestimation, and sType.

Referenced by operator!=().

## setConservativePointAndLineRasterization()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setConservativePointAndLineRasterization | ( | Bool32 | conservativePointAndLineRasterization_ | ) |

inline

Definition at line 17639 of file vulkan.hpp.

{
conservativePointAndLineRasterization = conservativePointAndLineRasterization_;
return *this;
}

References conservativePointAndLineRasterization.

## setConservativeRasterizationPostDepthCoverage()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setConservativeRasterizationPostDepthCoverage | ( | Bool32 | conservativeRasterizationPostDepthCoverage_ | ) |

inline

Definition at line 17663 of file vulkan.hpp.

{
conservativeRasterizationPostDepthCoverage = conservativeRasterizationPostDepthCoverage_;
return *this;
}

References conservativeRasterizationPostDepthCoverage.

## setDegenerateLinesRasterized()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setDegenerateLinesRasterized | ( | Bool32 | degenerateLinesRasterized_ | ) |

inline

Definition at line 17651 of file vulkan.hpp.

{
degenerateLinesRasterized = degenerateLinesRasterized_;
return *this;
}

References degenerateLinesRasterized.

## setDegenerateTrianglesRasterized()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setDegenerateTrianglesRasterized | ( | Bool32 | degenerateTrianglesRasterized_ | ) |

inline

Definition at line 17645 of file vulkan.hpp.

{
degenerateTrianglesRasterized = degenerateTrianglesRasterized_;
return *this;
}

References degenerateTrianglesRasterized.

## setExtraPrimitiveOverestimationSizeGranularity()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setExtraPrimitiveOverestimationSizeGranularity | ( | float | extraPrimitiveOverestimationSizeGranularity_ | ) |

inline

Definition at line 17627 of file vulkan.hpp.

{
extraPrimitiveOverestimationSizeGranularity = extraPrimitiveOverestimationSizeGranularity_;
return *this;
}

References extraPrimitiveOverestimationSizeGranularity.

## setFullyCoveredFragmentShaderInputVariable()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setFullyCoveredFragmentShaderInputVariable | ( | Bool32 | fullyCoveredFragmentShaderInputVariable_ | ) |

inline

Definition at line 17657 of file vulkan.hpp.

{
fullyCoveredFragmentShaderInputVariable = fullyCoveredFragmentShaderInputVariable_;
return *this;
}

References fullyCoveredFragmentShaderInputVariable.

## setMaxExtraPrimitiveOverestimationSize()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setMaxExtraPrimitiveOverestimationSize | ( | float | maxExtraPrimitiveOverestimationSize_ | ) |

inline

Definition at line 17621 of file vulkan.hpp.

{
maxExtraPrimitiveOverestimationSize = maxExtraPrimitiveOverestimationSize_;
return *this;
}

References maxExtraPrimitiveOverestimationSize.

## setPNext()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 17609 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPrimitiveOverestimationSize()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setPrimitiveOverestimationSize | ( | float | primitiveOverestimationSize_ | ) |

inline

Definition at line 17615 of file vulkan.hpp.

{
primitiveOverestimationSize = primitiveOverestimationSize_;
return *this;
}

References primitiveOverestimationSize.

## setPrimitiveUnderestimation()

PhysicalDeviceConservativeRasterizationPropertiesEXT& VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::setPrimitiveUnderestimation | ( | Bool32 | primitiveUnderestimation_ | ) |

inline

Definition at line 17633 of file vulkan.hpp.

{
primitiveUnderestimation = primitiveUnderestimation_;
return *this;
}

References primitiveUnderestimation.

## Field Documentation

## conservativePointAndLineRasterization

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::conservativePointAndLineRasterization

Definition at line 17708 of file vulkan.hpp.

Referenced by operator==(), and setConservativePointAndLineRasterization().

## conservativeRasterizationPostDepthCoverage

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::conservativeRasterizationPostDepthCoverage

Definition at line 17712 of file vulkan.hpp.

Referenced by operator==(), and setConservativeRasterizationPostDepthCoverage().

## degenerateLinesRasterized

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateLinesRasterized

Definition at line 17710 of file vulkan.hpp.

Referenced by operator==(), and setDegenerateLinesRasterized().

## degenerateTrianglesRasterized

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateTrianglesRasterized

Definition at line 17709 of file vulkan.hpp.

Referenced by operator==(), and setDegenerateTrianglesRasterized().

## extraPrimitiveOverestimationSizeGranularity

float VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::extraPrimitiveOverestimationSizeGranularity

Definition at line 17706 of file vulkan.hpp.

Referenced by operator==(), and setExtraPrimitiveOverestimationSizeGranularity().

## fullyCoveredFragmentShaderInputVariable

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::fullyCoveredFragmentShaderInputVariable

Definition at line 17711 of file vulkan.hpp.

Referenced by operator==(), and setFullyCoveredFragmentShaderInputVariable().

## maxExtraPrimitiveOverestimationSize

float VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::maxExtraPrimitiveOverestimationSize

Definition at line 17705 of file vulkan.hpp.

Referenced by operator==(), and setMaxExtraPrimitiveOverestimationSize().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::pNext = nullptr

Definition at line 17703 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## primitiveOverestimationSize

float VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveOverestimationSize

Definition at line 17704 of file vulkan.hpp.

Referenced by operator==(), and setPrimitiveOverestimationSize().

## primitiveUnderestimation

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveUnderestimation

Definition at line 17707 of file vulkan.hpp.

Referenced by operator==(), and setPrimitiveUnderestimation().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::sType = StructureType::ePhysicalDeviceConservativeRasterizationPropertiesEXT

private

Definition at line 17700 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::conservativeRasterizationPostDepthCoverage
Bool32 conservativeRasterizationPostDepthCoverage
Definition: vulkan.hpp:17712
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPhysicalDeviceConservativeRasterizationPropertiesEXT
Definition: vulkan_core.h:7317
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveUnderestimation
Bool32 primitiveUnderestimation
Definition: vulkan.hpp:17707
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::pNext
void * pNext
Definition: vulkan.hpp:17703
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveOverestimationSize
float primitiveOverestimationSize
Definition: vulkan.hpp:17704
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::sType
StructureType sType
Definition: vulkan.hpp:17700
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::extraPrimitiveOverestimationSizeGranularity
float extraPrimitiveOverestimationSizeGranularity
Definition: vulkan.hpp:17706
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::conservativePointAndLineRasterization
Bool32 conservativePointAndLineRasterization
Definition: vulkan.hpp:17708
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateLinesRasterized
Bool32 degenerateLinesRasterized
Definition: vulkan.hpp:17710
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::fullyCoveredFragmentShaderInputVariable
Bool32 fullyCoveredFragmentShaderInputVariable
Definition: vulkan.hpp:17711
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateTrianglesRasterized
Bool32 degenerateTrianglesRasterized
Definition: vulkan.hpp:17709
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::operator==
bool operator==(PhysicalDeviceConservativeRasterizationPropertiesEXT const &rhs) const
Definition: vulkan.hpp:17679
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::maxExtraPrimitiveOverestimationSize
float maxExtraPrimitiveOverestimationSize
Definition: vulkan.hpp:17705
VULKAN_HPP_NAMESPACE::PhysicalDeviceConservativeRasterizationPropertiesEXT::PhysicalDeviceConservativeRasterizationPropertiesEXT
PhysicalDeviceConservativeRasterizationPropertiesEXT(float primitiveOverestimationSize_=0, float maxExtraPrimitiveOverestimationSize_=0, float extraPrimitiveOverestimationSizeGranularity_=0, Bool32 primitiveUnderestimation_=0, Bool32 conservativePointAndLineRasterization_=0, Bool32 degenerateTrianglesRasterized_=0, Bool32 degenerateLinesRasterized_=0, Bool32 fullyCoveredFragmentShaderInputVariable_=0, Bool32 conservativeRasterizationPostDepthCoverage_=0)
Definition: vulkan.hpp:17578